<?php

namespace v1\models;

use app\models\Campana as ModeloCampana;

class Campana extends ModeloCampana {

  public function fields() {
    return [
        'id',
        'idMedia',
        'nombre',
        'descripcion',
        'activo',
        'fechaInicio',
        'fechaFin',
        'creado',
        'modificado',
    ];
  }

  public function extraFields() {
    return [
        'banners',
        'media',
    ];
}

  public function getBanners()
  {
      return $this->hasMany(Banner::class, ['idCampana' => 'id']);
  }

  public function getMedia()
  {
      return $this->hasOne(Media::class, ['id' => 'idMedia']);
  }
}
