<?php

namespace v1\models;

use app\models\ObraEmpleado as ModeloObraEmpleado;

class ObraEmpleado extends ModeloObraEmpleado {

  public function fields() {
    return [
      'id',
      'idObra',
      'idEmpleado',
      'creado',
      'modificado',
    ];
  }

  public function extraFields() {
    return [
        'empleado',
        'obra',
    ];
}

  public function getEmpleado()
  {
      return $this->hasOne(Empleado::class, ['id' => 'idEmpleado']);
  }

  public function getObra()
  {
      return $this->hasOne(Obra::class, ['id' => 'idObra']);
  }
}