<?php

namespace v1\models;

use app\models\Nomina as ModeloNomina;

class Nomina extends ModeloNomina
{

    public function fields()
    {
        return [
            'id',
            'idEmpleado',
            'idObra',
            'idUsuario',
            'montoPagado',
            'descuento',
            'fechaInicio',
            'fechaFin',
            'descripcion',
            'creado',
            'modificado',

        ];
    }
    public function extraFields() {
        return [
            'obra',
            'empleado',
            'usuario',
        ];
    }

    public function getEmpleado()
    {
        return $this->hasOne(Empleado::class, ['id' => 'idEmpleado']);
    }

    public function getObra()
    {
        return $this->hasOne(Obra::class, ['id' => 'idObra']);
    }

    public function getUsuario()
    {
        return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
    }
}
